#include "colors.inc"
#include "textures.inc"
#include "metals.inc"   
                       
#include "G_LETHR.INC"  
#include "G_SOLE.INC"  
#include "G_BLADE.INC"
#include "G_INLAY.INC"
#include "G_METAL.INC" 
#include "G_RGUARD.INC"  
#include "G_LGUARD.INC" 
#include "G_CLOAK.INC"
#include "G_HAIR.INC"
#include "G_BAD.INC"
#include "G_CHAIN.INC"
#include "G_SKIN.INC"
            
#include "G_G2.INC" 

#include "G_G1.INC"
#include "G_G3.INC" 
#include "giants.inc"   
        
//+w2000 +h1500 +sc0.215 +ec0.785 +qr +a0.3      
                   
global_settings {
    radiosity {
        count 200                // Calculate reasonable accurate samples
        error_bound 0.3          // Main quality/time adjustment = sample spacing
        gray_threshold 0.5       // Try 0.33-0.50. Just a matter of taste
        distance_maximum 2      // Scene-dependent!  Leave 0 if unsure of proper value.
        low_error_factor 0.75
        nearest_count 7
        minimum_reuse 0.017      // reasonable number of samples in corners
        brightness 3           // doesn't really matter.  Not used in final output.
        recursion_limit 2        // Slow at first, but don't give up, it gets faster
    }
}
      
          
         fog {
    distance 1.5
    color rgbt <0.5, 0.5, 0.5 0.2>
    fog_type 2
    fog_offset 0.5
    fog_alt 0.0001  
    turbulence <0.8, 0.8, 0.2>
    turb_depth 0.8   
rotate <4, 0, 0> 
scale <3, 1, 1>
       } 
  
         fog {
    distance 16
    color rgb <0.8, 0.8, 0.8>
    turbulence 0.4
    turb_depth 0.8
       }         
         
camera {
  location  <0, 5, -40>
  look_at   <0, 5, 0> 
}

light_source {
<-300, 1000, -80> White*0.8
area_light
  <14, 0, 0> <0, 14, 0> 
  4, 4 
  adaptive 1     
  jitter  
media_interaction on 
}           

light_source {
<-150, 150, -500> White
fade_distance 510
fade_power 100   
area_light
  <12, 0, 0> <0, 12, 0> 
  4, 4 
  adaptive 1     
  jitter  
media_interaction off
}
               
         
object {
Container
}    
                        
object {              
Snow
}
         
object {
Rock
}                 

object {        
G1
texture {
Giant_Tex
}          
scale 0.145  
rotate <0, 15, 0>
translate <9, 12, -12>
} 

object {        
G2
texture {
Giant_Tex
}          
scale 0.145
translate <0, 13, -19>
}

object {        
G3
texture {
Giant_Tex
}          
scale 0.145 
rotate <0, 25, 0>
translate <-7, 12, -11>
}

object {
Guy
}   
